diff --git a/.github/ISSUE_TEMPLATE.md b/.github/ISSUE_TEMPLATE.md
index 64b02fcb..6cd73daf 100644
--- a/.github/ISSUE_TEMPLATE.md
+++ b/.github/ISSUE_TEMPLATE.md
@@ -1,8 +1,8 @@
 Before filing issues, please check the following points first:
 
 - [ ] Please don't open issues for security issues. Instead, file a report at https://www.npmjs.com/advisories/report?package=handlebars
-- [ ] Have a look at https://github.com/wycats/handlebars.js/blob/master/CONTRIBUTING.md
-- [ ] Read the FAQ at https://github.com/wycats/handlebars.js/blob/master/FAQ.md
+- [ ] Have a look at https://github.com/handlebars-lang/handlebars.js/blob/master/CONTRIBUTING.md
+- [ ] Read the FAQ at https://github.com/handlebars-lang/handlebars.js/blob/master/FAQ.md
 - [ ] Use the jsfiddle-template at https://jsfiddle.net/4nbwjaqz/4/ to reproduce problems or bugs
 
 This will probably help you to get a solution faster. 
diff --git a/.github/PULL_REQUEST_TEMPLATE.md b/.github/PULL_REQUEST_TEMPLATE.md
index 7a6428b2..7b0c5f17 100644
--- a/.github/PULL_REQUEST_TEMPLATE.md
+++ b/.github/PULL_REQUEST_TEMPLATE.md
@@ -1,4 +1,4 @@
-Before creating a pull-request, please check https://github.com/wycats/handlebars.js/blob/master/CONTRIBUTING.md first.
+Before creating a pull-request, please check https://github.com/handlebars-lang/handlebars.js/blob/master/CONTRIBUTING.md first.
 
 Generally we like to see pull requests that
 
diff --git a/docs/decorators-api.md b/docs/decorators-api.md
index 2b9e8e80..3619ad30 100644
--- a/docs/decorators-api.md
+++ b/docs/decorators-api.md
@@ -1,6 +1,6 @@
 # Decorators
 
-**Decorators are deprecated, please join the discussion at [#1574](https://github.com/wycats/handlebars.js/issues/1574) to see what we can do about it.**
+**Decorators are deprecated, please join the discussion at [#1574](https://github.com/handlebars-lang/handlebars.js/issues/1574) to see what we can do about it.**
 
 Decorators allow for blocks to be annotated with metadata or wrapped in functionality prior to execution of the block. This may be used to communicate with the containing helper or to set up a particular state in the system prior to running the block.
 
diff --git a/lib/handlebars/internal/wrapHelper.js b/lib/handlebars/internal/wrapHelper.js
index 29d65b03..cd321d57 100644
--- a/lib/handlebars/internal/wrapHelper.js
+++ b/lib/handlebars/internal/wrapHelper.js
@@ -1,6 +1,6 @@
 export function wrapHelper(helper, transformOptionsFn) {
   if (typeof helper !== 'function') {
-    // This should not happen, but apparently it does in https://github.com/wycats/handlebars.js/issues/1639
+    // This should not happen, but apparently it does in https://github.com/handlebars-lang/handlebars.js/issues/1639
     // We try to make the wrapper least-invasive by not wrapping it, if the helper is not a function.
     return helper;
   }
diff --git a/release-notes.md b/release-notes.md
index 352e6c50..e32c0242 100644
--- a/release-notes.md
+++ b/release-notes.md
@@ -381,7 +381,7 @@ We consider it more important to resolve a major security issue than to maintain
 
 - Error message for syntax error missing location in 4.2.1+ (#1562)
 
-[Commits](https://github.com/wycats/handlebars.js/compare/v4.2.1...v4.2.2)
+[Commits](https://github.com/handlebars-lang/handlebars.js/compare/v4.2.1...v4.2.2)
 
 ## v4.2.1 - September 20th, 2019
 
